# RPM specfile for gtk-themes module
# Generated Tue Mar 19 20:01:06 2002 GMT by Ximian build system
# $Id: bb_do,v 1.179 2002/03/15 23:19:54 thunder Exp $
# from $Id: ximian-build.conf,v 1.13 2002/03/19 19:59:17 dobey Exp $

%define nam	gtk-themes
%define ver	1.0.1
%define ximrev	1

Name:     	gtk-themes
Version: 	1.0.1
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
BuildArch:      noarch
URL:		http://gtk.themes.org/
Source0:	Eazel-blue-1.2.x.tar.gz
Source1:	blueHeart-GTK-1.2.x.tar.gz
Patch0:		gtk-themes-makefile.patch
Summary:	Assorted GTK+ themes
Group:		User Interfaces/Desktops
Requires:	gtk-engines
Provides:	ximian-gtk-themes = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
A collection of assorted GTK+ themes from gtk.themes.org

%files
%defattr(-, root, root)
/usr/share/themes


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n gtk-themes
    ;;
all)
%setup -c -q -n gtk-themes
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n gtk-themes -q -D -T -a 1
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Mar 19 2002 Ximian, Inc.

- Version: 1.0.1-1.ximian.1
- Summary: New build.
- New automated build.

